aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorSam Tygier <[email protected]>2019-02-16 17:06:13 +0000
committerXECDesign <[email protected]>2019-02-18 09:45:10 +0000
commita8eb03a5e4f29ac48bf3fe427c2179f862e0a053 (patch)
treee49cc4584577cac895bb9804dbd1e006032c568c /scripts
parentc147df99bcc3190a31c90faeab858b2e5e0c14e2 (diff)
Check binfmt_misc module is loaded
Give a friendly error message early.
Diffstat (limited to 'scripts')
-rw-r--r--scripts/dependencies_check9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/dependencies_check b/scripts/dependencies_check
index 1b92a9c..9b7725e 100644
--- a/scripts/dependencies_check
+++ b/scripts/dependencies_check
@@ -27,4 +27,13 @@ dependencies_check()
echo "$missing"
false
fi
+
+
+ if ! lsmod | grep binfmt_misc >/dev/null
+ then
+ echo "Module binfmt_misc not loaded in host"
+ echo "Please run:"
+ echo " sudo modprobe binfmt_misc"
+ exit 1
+ fi
}